Star = class()

function Star:init(data)
    -- set all star data points 
    self.name = data.name
    self.mass = data.mass
    self.radius = data.radius
    self.surfaceTemp = data.surfaceTemp
    self.age = data.age
    self.rotationSpeed = data.rotationSpeed
    self.rotationDirection = data.rotationDirection
end

function Star:diameter()
    -- Diameter of the star in Km
    return (self.radius*2)
end

function Star:surfaceGravity()
    -- Returns the surface gravity of the star in m/s^2 rounded to 2 decimal places
    return string.format('%.2f',((G*self.mass)/(self.radius^2))/10^6)
end

function Star:update()
end
