sun = {
    name = 'Sun',               -- Name
    mass = 1.989*10^30,         -- Kilograms
    radius = 6.9634*10^5,       -- Kilometers
    surfaceTemp = 5773,         -- Kelvin
    age = 4.6*10^9,             -- Earth Years
    rotationSpeed = 2000,       -- Meters/Sec
    rotationDirection = 'CC'    -- Counterclock
}

earth = {
    name = 'Earth',             -- Name
    mass = 5.972*10^24,         -- Kilograms
    radius = 6371,              -- Kilometers
    tilt = 23.5,                -- Degrees
    surfaceTemp = 288,          -- Kelvin
    age = 4.54*10^9,            -- Earth Years
    rotationSpeed = 463.888,    -- Meters/Sec
    rotationDirection = 'CC',   -- CounterClock
    parent = 'Sun',             -- Parent Body
    orbitalRadius = 1.496*10^8, -- Kilometers
    eccentricity = 0.0167,      -- From 0-1
    inclination = 7.25,         -- Degrees
    orbitalPeriod = 365.25,     -- Earth Days
    perihelion = 1.471*10^8,    -- Kilometers
    aphelion = 1.521*10^8       -- Kilometers
}

moon = {
    name = 'Moon',              -- Name
    mass = 7.35*10^22,          -- Kilograms
    radius = 1737,              -- Kilometers
    tilt = 1.5424,              -- Degrees
    surfaceTemp = 220,          -- Kelvin
    age = 4.5*10^9,             -- Earth Years
    rotationSpeed = 27.3265,    -- Earth Days
    rotationDirection = 'C',    -- Clockwise
    parent = 'Earth',           -- Parent Body
    orbitalRadius = 3.844*10^5, -- Kilometers
    eccentriciry = 0.0549,      -- From 0-1
    inclination = 5.14,         -- Degrees
    orbitalPeriod = 27.3265,    -- Earth Days
    perigee = 3.633*10^5,       -- Kilometers
    apogee = 4.055*10^5         -- Kilometers
}
