-- 3Body
-- by: Chris Geese
-- Inspired by the Great American Eclipse 2024

G = 6.674*10^-11    -- Gravitational Constant
C = 2.99792*10^8    -- Speed of light
AU = 1.496*10^8     -- 1 Astronomical Unit
centerX = WIDTH/2   -- Find screen center X
centerY = HEIGHT/2  -- Find screen center Y


function setup()
    Sun = Star(sun)
    Earth = Planet(earth)
    Moon = Satellite(moon)
end

function draw()
    background(35,35,35)
end
